Subject: bug#33157: closed (Re: bug#33157: QUOTING_STYLE change of default)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 13 Dec 2018 20:34:02 +0000

Your bug report

#33157: ls-quotes: QUOTING_STYLE change of default

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33157: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33157
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33157: QUOTING_STYLE change of default
From: Assaf Gordon <[email-masked]>
To: Arvid Requate <[email-masked]>, [email-masked]
Date: Thu, 13 Dec 2018 13:33:09 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

On 2018-10-25 3:45 p.m., Arvid Requate wrote:
> after updating to Debian buster I had the impression that my eyes are failing
> on me. This posting pretty much summarizes my opinion:
> 
> http://lists.gnu.org/archive/html/coreutils/2016-02/msg00001.html
> 
> especially the first paragraph:
>

We created a summary of common issues and FAQs
regarding the quoting change in ls(1):
   https://www.gnu.org/software/coreutils/quotes.html

If there is an issue that is not addressed there,
please send an email to [email-masked] .

regards,
  - assaf

Subject: QUOTING_STYLE change of default
From: Arvid Requate <[email-masked]>
To: [email-masked]
Date: Thu, 25 Oct 2018 23:45:19 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

after updating to Debian buster I had the impression that my eyes are failing 
on me. This posting pretty much summarizes my opinion:

http://lists.gnu.org/archive/html/coreutils/2016-02/msg00001.html

especially the first paragraph: 

On 02/01/16 07:17 Harald Dunkel wrote:
> On 02/01/16 17:07, Pádraig Brady wrote:
> 
> > The reasons we changed the default was:
> > 
> > - It only happens when outputting to terminals
> 
> This means if you use "ls -1 | somescript" the script will
> not see the quoting style. Don't you think that this is
> inconsistent, not to mention that a script would benefit
> much more from this quoting style than a human?

I feel that this upstream change is a misuse of power by three coreutils 
developers and I vote for reverting to the old default of "literal".

Cheers,
Arvid Requate